class TincPre < Formula
  desc "Virtual Private Network (VPN) tool"
  homepage "https://www.tinc-vpn.org/"
  url "https://mirror.ttech.com.au/tinc/patched/tinc-1.1pre18-patched.tar.gz"
  #sha256 "2757ddc62cf64b411f569db2fa85c25ec846c0db110023f6befb33691f078986"
  sha256 "bea5f9e8b318d0fd1e12bed5ca6805acf8e9086409b4b52761e46c907098c34d"
  license "GPL-2.0-or-later"

  depends_on "lzo"
  depends_on "openssl"

  uses_from_macos "zlib"

  def install
    system "./configure", "--prefix=#{prefix}", "--sysconfdir=#{etc}",
                          "--with-openssl=#{Formula["openssl"].opt_prefix}"
    system "make", "install"
  end

  test do
    assert_match version.to_s, shell_output("#{sbin}/tincd --version")
  end
end
